# https://gitlab.com/magicfind/warframe/wf-build-engine/pipelines

image: node:18
stages:
  - build
  - test

build:
  stage: build

  script:
    - yarn install
    - yarn build
    - curl https://gitlab.com/magicfind/warframe/warframejson/raw/master/items.json -so src/__tests__/items.json
    - curl https://gitlab.com/magicfind/warframe/warframejson/raw/master/mods.json -so src/__tests__/mods.json
    - curl https://gitlab.com/magicfind/warframe/warframejson/raw/master/modsets.json -so src/__tests__/modsets.json

  cache:
    key: "$CI_COMMIT_SHA"
    paths:
      - src/__tests__/
      - node_modules/

test:
  stage: test

  script:
    - yarn test

  cache:
    key: "$CI_COMMIT_SHA"
    paths:
      - src/__tests__/
      - node_modules/
